/**
 *******************************************************************************
 * @file    main.c
 * @brief   The demo functions of ADC for the
 *          TOSHIBA 'TMPM332' Device Series 
 * @version V1.201
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "main.h"

uint32_t gADC_state = 0U;
ADC_ResultTypeDef gADC_Result;

int main(void)
{
    ADC_SWReset();
    ADC_SetInputChannel(ADC_AN_8);
    ADC_SetRepeatMode(ENABLE);
    ADC_SetVref(ENABLE);
    ADC_Start();

    for (;;) {
        gADC_state = ADC_GetConvertState();
        if (DONE == gADC_state) {
            gADC_state = BUSY;
            gADC_Result = ADC_GetConvertResult(ADC_REG_08);
        }
    }
}

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
