/**
 *******************************************************************************
 * @file    led.h
 * @brief   LED driver for the TOSHIBA 'TMPM332' Device Series
 * @version V0.201
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
#ifndef __M332_LED_H
#define __M332_LED_H

#include "tmpm332_gpio.h"

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/

#define LEDALL_OFF    0x00
#define LEDALL_ON     0xff

#define LED1     0x01
#define LED2     0x02
#define LED3     0x04
#define LED4     0x08
#define LED5     0x10
#define LED6     0x20
#define LED7     0x40
#define LED8     0x80

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void LED_Display(uint8_t ucLED);
void LED_Init(void);
void LED_On(uint8_t ucLED);
void LED_Off(uint8_t ucLED);

#endif                          /* __M332_LED_H */
