/**
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of GPIO demo for the
 *          TOSHIBA 'TMPM332' Device Series 
 * @version V0.201
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
 
/* include file */
#include "tmpm332_gpio.h"
#include "led.h"

/*  Function declaration */
void demo(void);
void Delay(void);

/* main function */
int main(void)
{
    SystemInit();
    LED_Init();
    while (1) {
        demo();
    }
}

void demo(void)
{
    LED_On(LED1);
    Delay();
    LED_On(LED2);
    Delay();
    LED_On(LED3);
    Delay();
    LED_On(LED4);
    Delay();
    LED_Off(LED1);
    Delay();
    LED_Off(LED2);
    Delay();
    LED_Off(LED3);
    Delay();
    LED_Off(LED4);
    Delay();
}

void Delay(void)
{
    volatile int i = 0; 
    for (i = 0; i <= 200000; i++);
}

#ifdef DEBUG
void assert_failed(char* file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
