/**
 *******************************************************************************
 * @file    tmpm332_rtc_int.c
 * @brief   All interrupt request functions definition of RTC
 *          for the TOSHIBA 'TMPM332' Device Series 
 * @version V0.201
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmpm332_rtc_int.h"
uint8_t fRTC_1HZ_INT = 0U;

/**
  * @brief  The RTC interrupt request function.
  * @param  None
  * @retval None
  */
void INTRTC_IRQHandler(void)
{
    fRTC_1HZ_INT = 1U;
    TSB_CG->ICRCG = (uint32_t) 8;
}
